## PhoshOsk0SmPuriOSK0Skeleton

PhoshOsk0SmPuriOSK0Skeleton

## Functions

GDBusInterfaceInfo * | phosh_osk0_sm_puri_osk0_interface_info ()
guint | phosh_osk0_sm_puri_osk0_override_properties ()
void | phosh_osk0_sm_puri_osk0_complete_set_visible ()
void | phosh_osk0_sm_puri_osk0_call_set_visible ()
gboolean | phosh_osk0_sm_puri_osk0_call_set_visible_finish ()
gboolean | phosh_osk0_sm_puri_osk0_call_set_visible_sync ()
gboolean | phosh_osk0_sm_puri_osk0_get_visible ()
void | phosh_osk0_sm_puri_osk0_set_visible ()
void | phosh_osk0_sm_puri_osk0_proxy_new ()
PhoshOsk0SmPuriOSK0 * | phosh_osk0_sm_puri_osk0_proxy_new_finish ()
PhoshOsk0SmPuriOSK0 * | phosh_osk0_sm_puri_osk0_proxy_new_sync ()
void | phosh_osk0_sm_puri_osk0_proxy_new_for_bus ()
PhoshOsk0SmPuriOSK0 * | phosh_osk0_sm_puri_osk0_proxy_new_for_bus_finish ()
PhoshOsk0SmPuriOSK0 * | phosh_osk0_sm_puri_osk0_proxy_new_for_bus_sync ()
PhoshOsk0SmPuriOSK0 * | phosh_osk0_sm_puri_osk0_skeleton_new ()

## Properties

gboolean | visible | Read / Write

## Signals

gboolean | handle-set-visible | Run Last

## Types and Values

struct | PhoshOsk0SmPuriOSK0Iface
struct | PhoshOsk0SmPuriOSK0Proxy
struct | PhoshOsk0SmPuriOSK0ProxyClass
struct | PhoshOsk0SmPuriOSK0Skeleton
struct | PhoshOsk0SmPuriOSK0SkeletonClass
| PhoshOsk0SmPuriOSK0
| PhoshOsk0SmPuriOSK0ProxyPrivate
| PhoshOsk0SmPuriOSK0SkeletonPrivate

## Object Hierarchy

        GInterface
        ╰── PhoshOsk0SmPuriOSK0
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── PhoshOsk0SmPuriOSK0Skeleton
        ╰── GDBusProxy
            ╰── PhoshOsk0SmPuriOSK0Proxy

## Prerequisites

PhoshOsk0SmPuriOSK0 requires GObject.

## Implemented Interfaces

PhoshOsk0SmPuriOSK0Proxy implements GDBusInterface, GInitable, GAsyncInitable and PhoshOsk0SmPuriOSK0.

PhoshOsk0SmPuriOSK0Skeleton implements GDBusInterface and PhoshOsk0SmPuriOSK0.

## Known Implementations

PhoshOsk0SmPuriOSK0 is implemented by PhoshOsk0SmPuriOSK0Proxy and PhoshOsk0SmPuriOSK0Skeleton.

## Description

## Functions

### phosh_osk0_sm_puri_osk0_interface_info ()

    GDBusInterfaceInfo *
    phosh_osk0_sm_puri_osk0_interface_info
                                   (void);

Gets a machine-readable description of the sm.puri.OSK0 D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### phosh_osk0_sm_puri_osk0_override_properties ()

    guint
    phosh_osk0_sm_puri_osk0_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the PhoshOsk0SmPuriOSK0 interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### phosh_osk0_sm_puri_osk0_complete_set_visible ()

    void
    phosh_osk0_sm_puri_osk0_complete_set_visible
                                   (PhoshOsk0SmPuriOSK0 *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `SetVisible()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshOsk0SmPuriOSK0. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_osk0_sm_puri_osk0_call_set_visible ()

    void
    phosh_osk0_sm_puri_osk0_call_set_visible
                                   (PhoshOsk0SmPuriOSK0 *proxy,
                                    gboolean arg_visible,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SetVisible()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_osk0_sm_puri_osk0_call_set_visible_finish()` to get the result of the operation.

See `phosh_osk0_sm_puri_osk0_call_set_visible_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshOsk0SmPuriOSK0Proxy. |
arg_visible | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_osk0_sm_puri_osk0_call_set_visible_finish ()

    gboolean
    phosh_osk0_sm_puri_osk0_call_set_visible_finish
                                   (PhoshOsk0SmPuriOSK0 *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_osk0_sm_puri_osk0_call_set_visible()`.

#### Parameters

proxy | A PhoshOsk0SmPuriOSK0Proxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_osk0_sm_puri_osk0_call_set_visible()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_osk0_sm_puri_osk0_call_set_visible_sync ()

    gboolean
    phosh_osk0_sm_puri_osk0_call_set_visible_sync
                                   (PhoshOsk0SmPuriOSK0 *proxy,
                                    gboolean arg_visible,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SetVisible()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_osk0_sm_puri_osk0_call_set_visible()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshOsk0SmPuriOSK0Proxy. |
arg_visible | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_osk0_sm_puri_osk0_get_visible ()

    gboolean
    phosh_osk0_sm_puri_osk0_get_visible (PhoshOsk0SmPuriOSK0 *object);

Gets the value of the "Visible" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshOsk0SmPuriOSK0. |

#### Returns

The property value.

### phosh_osk0_sm_puri_osk0_set_visible ()

    void
    phosh_osk0_sm_puri_osk0_set_visible (PhoshOsk0SmPuriOSK0 *object,
                                         gboolean value);

Sets the "Visible" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshOsk0SmPuriOSK0. |
value | The value to set. |

### phosh_osk0_sm_puri_osk0_proxy_new ()

    void
    phosh_osk0_sm_puri_osk0_proxy_new (GDBusConnection *connection,
                                       GDBusProxyFlags flags,
                                       const gchar *name,
                                       const gchar *object_path,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface sm.puri.OSK0. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_osk0_sm_puri_osk0_proxy_new_finish()` to get the result of the operation.

See `phosh_osk0_sm_puri_osk0_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_osk0_sm_puri_osk0_proxy_new_finish ()

    PhoshOsk0SmPuriOSK0 *
    phosh_osk0_sm_puri_osk0_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_osk0_sm_puri_osk0_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_osk0_sm_puri_osk0_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshOsk0SmPuriOSK0Proxy]

### phosh_osk0_sm_puri_osk0_proxy_new_sync ()

    PhoshOsk0SmPuriOSK0 *
    phosh_osk0_sm_puri_osk0_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface sm.puri.OSK0. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `phosh_osk0_sm_puri_osk0_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshOsk0SmPuriOSK0Proxy]

### phosh_osk0_sm_puri_osk0_proxy_new_for_bus ()

    void
    phosh_osk0_sm_puri_osk0_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `phosh_osk0_sm_puri_osk0_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_osk0_sm_puri_osk0_proxy_new_for_bus_finish()` to get the result of the operation.

See `phosh_osk0_sm_puri_osk0_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_osk0_sm_puri_osk0_proxy_new_for_bus_finish ()

    PhoshOsk0SmPuriOSK0 *
    phosh_osk0_sm_puri_osk0_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_osk0_sm_puri_osk0_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_osk0_sm_puri_osk0_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshOsk0SmPuriOSK0Proxy]

### phosh_osk0_sm_puri_osk0_proxy_new_for_bus_sync ()

    PhoshOsk0SmPuriOSK0 *
    phosh_osk0_sm_puri_osk0_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `phosh_osk0_sm_puri_osk0_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `phosh_osk0_sm_puri_osk0_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshOsk0SmPuriOSK0Proxy]

### phosh_osk0_sm_puri_osk0_skeleton_new ()

    PhoshOsk0SmPuriOSK0 *
    phosh_osk0_sm_puri_osk0_skeleton_new (void);

Creates a skeleton object for the D-Bus interface sm.puri.OSK0.

#### Returns

The skeleton object.

[transfer full][type PhoshOsk0SmPuriOSK0Skeleton]

## Types and Values

### struct PhoshOsk0SmPuriOSK0Iface

    struct PhoshOsk0SmPuriOSK0Iface {
      GTypeInterface parent_iface;

      gboolean (*handle_set_visible) (
        PhoshOsk0SmPuriOSK0 *object,
        GDBusMethodInvocation *invocation,
        gboolean arg_visible);

      gboolean  (*get_visible) (PhoshOsk0SmPuriOSK0 *object);
    };

Virtual table for the D-Bus interface sm.puri.OSK0.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_set_visible` () | Handler for the “handle-set-visible” signal. |
`get_visible` () | Getter for the “visible” property. |

### struct PhoshOsk0SmPuriOSK0Proxy

    struct PhoshOsk0SmPuriOSK0Proxy;

The PhoshOsk0SmPuriOSK0Proxy structure contains only private data and should only be accessed using the provided API.

### struct PhoshOsk0SmPuriOSK0ProxyClass

    struct PhoshOsk0SmPuriOSK0ProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for PhoshOsk0SmPuriOSK0Proxy.

#### Members

### struct PhoshOsk0SmPuriOSK0Skeleton

    struct PhoshOsk0SmPuriOSK0Skeleton;

The PhoshOsk0SmPuriOSK0Skeleton structure contains only private data and should only be accessed using the provided API.

### struct PhoshOsk0SmPuriOSK0SkeletonClass

    struct PhoshOsk0SmPuriOSK0SkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for PhoshOsk0SmPuriOSK0Skeleton.

#### Members

### PhoshOsk0SmPuriOSK0

    typedef struct _PhoshOsk0SmPuriOSK0 PhoshOsk0SmPuriOSK0;

Abstract interface type for the D-Bus interface sm.puri.OSK0.

### PhoshOsk0SmPuriOSK0ProxyPrivate

    typedef struct _PhoshOsk0SmPuriOSK0ProxyPrivate PhoshOsk0SmPuriOSK0ProxyPrivate;

### PhoshOsk0SmPuriOSK0SkeletonPrivate

    typedef struct _PhoshOsk0SmPuriOSK0SkeletonPrivate PhoshOsk0SmPuriOSK0SkeletonPrivate;

## Property Details

### The `“visible”` property

      “visible”                  gboolean

Represents the D-Bus property "Visible".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshOsk0SmPuriOSK0

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“handle-set-visible”` signal

    gboolean
    user_function (PhoshOsk0SmPuriOSK0   *object,
                   GDBusMethodInvocation *invocation,
                   gboolean               arg_visible,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SetVisible()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_osk0_sm_puri_osk0_complete_set_visible()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshOsk0SmPuriOSK0. |
invocation | A GDBusMethodInvocation. |
arg_visible | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last